Subject: bug#58786: 29.0.50; Error with Info-minibuf-history not declared

From: Stefan Kangas <[email-masked]>
Date: Wed, 26 Oct 2022 12:21:07 -0700

close 58786 29.1
thanks

Thierry Volpiatto <[email-masked]> writes:

> Drew Adams <[email-masked]> writes:
>
>> My code includes just a vacuous defvar, to
>> declare the var but not initialize it to nil.
>>
>>   (defvar Info-minibuf-history)
>
> You should not have to do this, this defvar should be in info.el on top
> of file ideally.  Initialized to nil or not I don't know, but it should
> be declared anyway.
> I personally initialize these history vars to nil in all my packages.

I've now declared it (commit 68548af68a), and I'm closing this bug.